struct VM;
struct VTable;
struct Node;
struct StableNode;
struct UnstableNode;
struct StackFrameHeader;
struct BIStatus;
typedef void* Instr;
typedef size_t hash_t;
void* operator new(size_t s, VM& vm);
void set(Node& dest, StableNode& src);
void set(StableNode& dest, UnstableNode& src);
void set(UnstableNode& dest, UnstableNode& src, VM& vm);
